This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 183694 - Review Request: gstreamer08-plugins
Review Request: gstreamer08-plugins
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Package Reviews List
: Reopened
Depends On: 181824
Blocks: FE-ACCEPT 180164
  Show dependency treegraph
 
Reported: 2006-03-02 16:06 EST by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 06:07:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec patch (3.41 KB, patch)
2006-03-04 17:43 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Brian Pepple 2006-03-02 16:06:15 EST
Spec Name or Url: http://piedmont.homelinux.org/fedora/gstreamer/gstreamer08-plugins.spec
SRPM Name or Url: http://piedmont.homelinux.org/fedora/gstreamer/gstreamer08-plugins-0.8.12-1.src.rpm
Description: GStreamer Streaming media framework plug-ins
Comment 1 Michael Schwendt 2006-03-04 09:59:40 EST
Quick observation while trying to get it to build:

BR gstreamer08-devel NOT gstreamer-devel
BR libGL-devel NOT mesa-libGL-devel

Comment 2 Michael Schwendt 2006-03-04 12:03:07 EST
Hmmm, osssink works, alsasink fails:

$ gst-launch-0.8 filesrc location=test.wav ! wavparse ! alsasink
RUNNING pipeline ...
ERROR: from element /pipeline0/alsasink0: Internal GStreamer error: state change
failed.  File a bug.

$ gst-launch-0.8 filesrc location=test.ogg ! oggdemux ! vorbisdec ! audioconvert
! alsasink
RUNNING pipeline ...
ERROR: from element /pipeline0/vorbisdec0: Internal GStreamer error: pad
problem.  File a bug.
Additional debug info:
gstpad.c(2562): gst_pad_set_explicit_caps: /pipeline0/vorbisdec0:
failed to negotiate (try_set_caps with "audio/x-raw-float, rate=(int)11025,
channels=(int)1, endianness=(int)1234, width=(int)32, buffer-frames=(int)0"
returned REFUSED)
Comment 3 Brian Pepple 2006-03-04 14:04:32 EST
(In reply to comment #2)
Was this working in prior versions in Rawhide?  This looks like it's been an
issue for awhile: http://bugzilla.gnome.org/show_bug.cgi?id=308045

If I have any free time later today, I'll give it a closer look.
Comment 4 Michael Schwendt 2006-03-04 17:42:25 EST
Both work with gst-launch-0.10, and they are examples from the manual page.
I recall there have been similar/same problems with GStreamer/ALSA before.

Suggest an alternative test on how to verify whether this GStreamer works.
What applications need this version of GStreamer?

This different one works:

gst-launch-0.8 filesrc location=test.wav ! typefind ! spider ! audioconvert !
audioscale ! volume ! alsasink

gst-launch-0.8 filesrc location=test.wav ! typefind ! spider ! audioconvert !
audioscale ! volume ! alsasink device=hw:0

$ gconftool-2 -g /system/gstreamer/0.8/default/audiosink
alsasink

[...]

Anyway, I have a few issues with this package:

* Source tarball has not been stripped off of code with legal issues.
  The "removed-sources.txt" for 0.8.11 is included, but the source
  tarball has been upgraded to 0.8.12. [BLOCKER]

* GConf2 scriptlets are incomplete.

* Requiring /usr/bin/gconftool-2, but running "gconftool-2" is unclean.
  Require exactly what you run. If you run "gconftool-2" from $PATH,
  don't require an absolute path.

* Inter-package deps are wrong: references to gstreamer-devel
  [BLOCKER]

* Explicit "Requires: cdparanoia-libs >= alpha9.7" and
  "Requires: libmusicbrainz >= 2.1.1" are not needed, since the
  automatic soname dependencies are present and the minimum versions
  of those packages are available in FC5.

* GStreamer libdir is included in main package already.

* The two executables in this package are Perl scripts and create an
  ugly dependency on Perl. Not a blocker, but not nice. Considering that
  this is just sort of a compatibility package, do we need them?
Comment 5 Michael Schwendt 2006-03-04 17:43:23 EST
Created attachment 125648 [details]
spec patch
Comment 6 Brian Pepple 2006-03-05 16:44:44 EST
Spec Url: http://piedmont.homelinux.org/fedora/gstreamer/gstreamer08-plugins.spec
SRPM Url:
http://piedmont.homelinux.org/fedora/gstreamer/gstreamer08-plugins-0.8.12-2.src.rpm

* Sun Mar  5 2006 Brian Pepple <bdpepple@ameritech.net> - 0.8.12-2
- Add patch-tarball.sh back.
- Strip source tarball of code w/ legal issues.
- Remove req. for cdparanoia-libs & libmusicbrainz.
- Fix references to gstreamer-devel.
- Fix GConf2 scriptlets.
Comment 7 Brian Pepple 2006-03-05 16:57:16 EST
(In reply to comment #4)
> 
> Suggest an alternative test on how to verify whether this GStreamer works.
> What applications need this version of GStreamer?
> 

Gnome-Baker.  I had no problems burning an audio cd with this gstreamer-plugin
(tested w/ ogg & flac).  
Comment 8 Michael Schwendt 2006-03-06 13:38:45 EST
0.8.12-2 approved. I deliberately ignore the plugins which are not built,
as I believe any additional plugins not found in Core should make it into
an -extras plugins package.
Comment 9 Brian Pepple 2006-03-06 15:48:28 EST
Package built.

Note You need to log in before you can comment on or make changes to this bug.